/* css reset rule */
* {
    margin: 0; padding: 0;
}



/* type selector */

body {
    background-color: #234; color: #EEE;
    font-family: verdana, arial, sans-serif;
    padding: 12px;
    border: 4px solid #222
}

header {
    border: 2px solid hotpink;
    padding: 12px;
}

/* child selector */

header > h1 {
    text-align: center;
    font-weight: normal;
    text-transform: uppercase;
    color: yellowgreen;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 2px solid hotpink;
}

/* descendant selector */

header span {
    display: block;
    border: 0px;
    color: #FF4;
}

/* class selector */

.subtitle {
    text-align: center;
    /* border: 2px solid #222; */
    padding: 10px;
    line-height: 1.5;
    text-transform: lowercase;
    letter-spacing: 8px;
}

.subtitle a {
    color: white;
    text-decoration: none;
}

.subtitle a:visited {
    color: white;
}

/* adjacent selector */

header + p {
    display: none;
}

/* ========================== */
/* CSS Examples */

section {
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
    margin-bottom: 800px;
}

section article {
    border: 2px solid hotpink;
    min-width: 360px;
    min-height: 200px;
    margin: 10px;
    flex: 0 0 auto;
    padding: 4px;
}

article h2 {
    font-size: 16pt;
}

article p {
    margin: 8px;
    line-height: 1.4;
}

/* ID selector */
#art1 div {
    width: 70%;
    aspect-ratio: 2/1;
    background-color: skyblue;
    margin: 20px auto;
    border-radius: 20px;
}

#art2 div {
    width: 70%;
    aspect-ratio: 2.5/1;
    background-color: #000;
    /* center a block */
    margin: 20px auto;
    border-radius: 20px;
    box-shadow: -4px 8px 14px white;
}

#art3 h2 {
    font-family: "Bytesized", sans-serif;
    text-align: center;
    font-size: 40pt;
    color: #FF3;
    border: 2px solid yellowgreen;
}

#art3 p {
    font-family: "Eater", sans-serif;
}

#art4 {
    /* use position relative on the parent */
    position: relative;
}

#art4 h2 {
    color: #FF3;
    /* use position absolute on the child you want to manipulate */
    position: absolute;
    bottom: 10px; left: 0;
    border: 0px solid yellowgreen;
    width: 100%;
    text-align: center;
    /* padding-bottom: 10px; */
}

#art5 {
    position: relative;
}

#art5 div {
    /* setting position absolute to ALL divs within art5 */ 
    position: absolute;
}

#art5 div:nth-of-type(1) {
    width: 40%; aspect-ratio: 1;
    background-color: #F44;
    bottom: -25px; left: 64px;
    z-index: 5;
}

#art5 div:nth-of-type(2) {
    width: 40%; aspect-ratio: 1;
    background-color: #44F;
    bottom: -30px; right: 64px;
    z-index: 3;
}

#art6 {
    transition: all 300ms linear;

}

/* pseudo element */
#art6:hover {
    background-color: #404;
    color: #FF4;
    border: 2px solid yellowgreen;
}

#art7 .animated-box {
    width: 50px; 
    height: 50px;
    animation: move 4s infinite;
}

@keyframes move {
    0%{
        transform: translateX(0) translateY(0); /* Start at the origin point */
        background-color: rgb(114, 114, 246); /* Gives the initial color */

    }
    50% {
        transform: translateX(100px) translateY(0px); /*Moves this element 100px to the right */
        background-color: rgb(70, 70, 245); /* Slowly makes it transition into a darker color*/
    }
    100% {
        transform: translateX(100px) translateY(100px);
        background-color: rgb(30, 30, 201); /* Final color change */
    }
}

.custom-cursor {
    cursor: url('../images/Prismatic-Hand-Cursor-Pointer-Grid.svg'), auto;
}

#art8 .example-element {
    color: #4F4;
    text-align: center;
    margin-top: 50px;
}

#art9 p {
    padding-bottom: 40px;
}

.hidden-box {
    position: relative;
    display: inline-block;
}

.hidden-box .hidden-text {
    visibility: hidden;
    position: absolute;
    background-color: #0b011a;
    color: #ffffff;
    padding: 6px;
    border-radius: 5px;
    top: 125%;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.hidden-box:hover .hidden-text {
    visibility: visible;
    opacity: 1;
}

/* css ruleset, aka rule
selector {
    declaration1;
    declaration2;
    property: value;
    property: value;
    property: value1, value2, value3;
    property: value value;
}
    */

